Subject: Re: Add an OPTIONS chunk to Documentation/git-sparse-checkout.txt

From: Derrick Stolee <[email-masked]>
Date: Wed, 9 Mar 2022 10:23:02 -0500

On 3/9/2022 7:42 AM, Bagas Sanjaya wrote:
> On 09/03/22 14.55, Shaoxuan Yuan wrote:
>> Hi all,
>>
>> I'm wondering if we could add an OPTIONS chunk to
>> Documentation/git-sparse-checkout.txt?
>>
>> Cause when I was skimming through the SYNOPSIS
>> and it says "git sparse-checkout <subcommand> [<options>]"
>> but I didn't quite see the options until I read into the COMMANDS.
>>
>> Perhaps something like this:
>>
>> OPTIONS
>>
>>      --[no-]cone
>>
>>      --[no-]sparse-index
>>
>>      --stdin
>>
>> If this is okay to do then I will try to submit a patch later :)
> 
> OK, but we need to list out subcommands and options in the SYNOPSIS,
> much like in git-worktree(1) and git-submodule(1).

Thank you for showing an interest in improving our docs! Be sure
to start from Elijah's recent series [1] that overhauls the docs in
a few different ways, just to avoid conflicts.

[1] https://lore.kernel.org/git/[email-masked]/

Thanks,
-Stolee